#!/bin/bash
#SBATCH --partition=msc
#SBATCH --mem=20G
#SBATCH --cpus-per-task=4
#SBATCH --output=/users/ms20qj/sbatch_logs/init-%A_%a.log
#SBATCH --gres=gpu:1
#SBATCH --array=0-99%3
list=(
# Training dataset size = 50000
"python data/generation/train.py --lr 0.01 --model_depth 2 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.01 --model_depth 3 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.01 --model_depth 4 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.01 --model_depth 5 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.01 --model_depth 6 --train_dataset_size 50000"

"python data/generation/train.py --lr 0.03 --model_depth 2 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.03 --model_depth 3 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.03 --model_depth 4 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.03 --model_depth 5 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.03 --model_depth 6 --train_dataset_size 50000"

"python data/generation/train.py --lr 0.1 --model_depth 2 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.1 --model_depth 3 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.1 --model_depth 4 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.1 --model_depth 5 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.1 --model_depth 6 --train_dataset_size 50000"

"python data/generation/train.py --lr 0.3 --model_depth 2 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.3 --model_depth 3 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.3 --model_depth 4 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.3 --model_depth 5 --train_dataset_size 50000"
"python data/generation/train.py --lr 0.3 --model_depth 6 --train_dataset_size 50000"

"python data/generation/train.py --lr 1. --model_depth 2 --train_dataset_size 50000"
"python data/generation/train.py --lr 1. --model_depth 3 --train_dataset_size 50000"
"python data/generation/train.py --lr 1. --model_depth 4 --train_dataset_size 50000"
"python data/generation/train.py --lr 1. --model_depth 5 --train_dataset_size 50000"
"python data/generation/train.py --lr 1. --model_depth 6 --train_dataset_size 50000"

# Training dataset size = 25000
"python data/generation/train.py --lr 0.01 --model_depth 2 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.01 --model_depth 3 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.01 --model_depth 4 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.01 --model_depth 5 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.01 --model_depth 6 --train_dataset_size 25000"

"python data/generation/train.py --lr 0.03 --model_depth 2 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.03 --model_depth 3 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.03 --model_depth 4 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.03 --model_depth 5 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.03 --model_depth 6 --train_dataset_size 25000"

"python data/generation/train.py --lr 0.1 --model_depth 2 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.1 --model_depth 3 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.1 --model_depth 4 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.1 --model_depth 5 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.1 --model_depth 6 --train_dataset_size 25000"

"python data/generation/train.py --lr 0.3 --model_depth 2 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.3 --model_depth 3 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.3 --model_depth 4 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.3 --model_depth 5 --train_dataset_size 25000"
"python data/generation/train.py --lr 0.3 --model_depth 6 --train_dataset_size 25000"

"python data/generation/train.py --lr 1. --model_depth 2 --train_dataset_size 25000"
"python data/generation/train.py --lr 1. --model_depth 3 --train_dataset_size 25000"
"python data/generation/train.py --lr 1. --model_depth 4 --train_dataset_size 25000"
"python data/generation/train.py --lr 1. --model_depth 5 --train_dataset_size 25000"
"python data/generation/train.py --lr 1. --model_depth 6 --train_dataset_size 25000"

# Training dataset size = 12500
"python data/generation/train.py --lr 0.01 --model_depth 2 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.01 --model_depth 3 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.01 --model_depth 4 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.01 --model_depth 5 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.01 --model_depth 6 --train_dataset_size 12500"

"python data/generation/train.py --lr 0.03 --model_depth 2 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.03 --model_depth 3 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.03 --model_depth 4 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.03 --model_depth 5 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.03 --model_depth 6 --train_dataset_size 12500"

"python data/generation/train.py --lr 0.1 --model_depth 2 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.1 --model_depth 3 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.1 --model_depth 4 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.1 --model_depth 5 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.1 --model_depth 6 --train_dataset_size 12500"

"python data/generation/train.py --lr 0.3 --model_depth 2 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.3 --model_depth 3 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.3 --model_depth 4 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.3 --model_depth 5 --train_dataset_size 12500"
"python data/generation/train.py --lr 0.3 --model_depth 6 --train_dataset_size 12500"

"python data/generation/train.py --lr 1. --model_depth 2 --train_dataset_size 12500"
"python data/generation/train.py --lr 1. --model_depth 3 --train_dataset_size 12500"
"python data/generation/train.py --lr 1. --model_depth 4 --train_dataset_size 12500"
"python data/generation/train.py --lr 1. --model_depth 5 --train_dataset_size 12500"
"python data/generation/train.py --lr 1. --model_depth 6 --train_dataset_size 12500"

# Training dataset size = 6250
"python data/generation/train.py --lr 0.01 --model_depth 2 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.01 --model_depth 3 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.01 --model_depth 4 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.01 --model_depth 5 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.01 --model_depth 6 --train_dataset_size 6250"

"python data/generation/train.py --lr 0.03 --model_depth 2 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.03 --model_depth 3 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.03 --model_depth 4 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.03 --model_depth 5 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.03 --model_depth 6 --train_dataset_size 6250"

"python data/generation/train.py --lr 0.1 --model_depth 2 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.1 --model_depth 3 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.1 --model_depth 4 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.1 --model_depth 5 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.1 --model_depth 6 --train_dataset_size 6250"

"python data/generation/train.py --lr 0.3 --model_depth 2 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.3 --model_depth 3 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.3 --model_depth 4 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.3 --model_depth 5 --train_dataset_size 6250"
"python data/generation/train.py --lr 0.3 --model_depth 6 --train_dataset_size 6250"

"python data/generation/train.py --lr 1. --model_depth 2 --train_dataset_size 6250"
"python data/generation/train.py --lr 1. --model_depth 3 --train_dataset_size 6250"
"python data/generation/train.py --lr 1. --model_depth 4 --train_dataset_size 6250"
"python data/generation/train.py --lr 1. --model_depth 5 --train_dataset_size 6250"
"python data/generation/train.py --lr 1. --model_depth 6 --train_dataset_size 6250"
)
${list[SLURM_ARRAY_TASK_ID]} --optimizer_type SGD_MOMENTUM_WEIGHT_DECAY --batch_size 128 --ce_target -1 --epochs 200 --model_arch p_resnet --transforms True --lr_scheduling True